# DataExchange
TKIGES
IGESGeom

# IGESGeom_Boundary Class Reference

defines IGESBoundary, Type <141> Form <0>
in package IGESGeom
A boundary entity identifies a surface boundary consisting
of a set of curves lying on the surface

`#include <IGESGeom_Boundary.hxx>`

Inheritance diagram for IGESGeom_Boundary:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGeom_Boundary ()
Standard_EXPORT void | Init (const Standard_Integer aType, const Standard_Integer aPreference, const Handle(IGESData_IGESEntity)&aSurface, const Handle(IGESData_HArray1OfIGESEntity)&allModelCurves, const Handle(TColStd_HArray1OfInteger)&allSenses, const Handle(IGESBasic_HArray1OfHArray1OfIGESEntity)&allParameterCurves)

This method is used to set the fields of the class
Boundary
- aType : Type of bounded surface representation
- aPreference : Preferred representation of
Trimming Curve
- aSurface : Untrimmed surface to be bounded
- allModelCurves : Model Space Curves
- allSenses : Orientation flags of all Model Space
Curves
- allParameterCurves : Parameter Space Curves
raises exception if allSenses, allModelCurves and
allParameterCurves do not have same dimensions
.

Standard_EXPORT Standard_Integer | BoundaryType () const
| returns type of bounded surface representation 0 = Boundary entities may only reference model space trimming curves. Associated surface representation may be parametric 1 = Boundary entities must reference model space curves and associated parameter space curve collections. Associated surface must be a parametric representation
Standard_EXPORT Standard_Integer | PreferenceType () const
| returns preferred representation of trimming curves 0 = Unspecified 1 = Model space 2 = Parameter space 3 = Representations are of equal preference
Standard_EXPORT Handle_IGESData_IGESEntity | Surface () const
| returns the surface to be bounded
Standard_EXPORT Standard_Integer | NbModelSpaceCurves () const
| returns the number of model space curves
Standard_EXPORT Handle_IGESData_IGESEntity | ModelSpaceCurve (const Standard_Integer Index) const
| returns Model Space Curve raises exception if Index <= 0 or Index > NbModelSpaceCurves()
Standard_EXPORT Standard_Integer | Sense (const Standard_Integer Index) const
| returns the sense of a particular model space curve 1 = model curve direction does not need reversal 2 = model curve direction needs to be reversed raises exception if Index <= 0 or Index > NbModelSpaceCurves()
Standard_EXPORT Standard_Integer | NbParameterCurves (const Standard_Integer Index) const
| returns the number of parameter curves associated with one model space curve referred to by Index raises exception if Index <= 0 or Index > NbModelSpaceCurves()
Standard_EXPORT Handle_IGESData_HArray1OfIGESEntity | ParameterCurves (const Standard_Integer Index) const
| returns an array of parameter space curves associated with a model space curve referred to by the Index raises exception if Index <= 0 or Index > NbModelSpaceCurves()
Standard_EXPORT Handle_IGESData_IGESEntity | ParameterCurve (const Standard_Integer Index, const Standard_Integer Num) const
| returns an individual parameter curve raises exception if Index or Num is out of range
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theType
Standard_Integer | thePreference
Handle_IGESData_IGESEntity | theSurface
Handle_IGESData_HArray1OfIGESEntity | theModelCurves
Handle_TColStd_HArray1OfInteger | theSenses
Handle_IGESBasic_HArray1OfHArray1OfIGESEntity | theParameterCurves

## Constructor & Destructor Documentation

Standard_EXPORT IGESGeom_Boundary::IGESGeom_Boundary | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESGeom_Boundary::BoundaryType | ( |  | ) | const

Standard_EXPORT const IGESGeom_Boundary::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGeom_Boundary::Init | ( | const Standard_Integer | aType,
|  | const Standard_Integer | aPreference,
|  | const Handle(IGESData_IGESEntity)& | aSurface,
|  | const Handle(IGESData_HArray1OfIGESEntity)& | allModelCurves,
|  | const Handle(TColStd_HArray1OfInteger)& | allSenses,
|  | const Handle(IGESBasic_HArray1OfHArray1OfIGESEntity)& | allParameterCurves
| ) |

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_Boundary::ModelSpaceCurve | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESGeom_Boundary::NbModelSpaceCurves | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGeom_Boundary::NbParameterCurves | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_Boundary::ParameterCurve | ( | const Standard_Integer | Index,
|  | const Standard_Integer | Num
| ) | const

Standard_EXPORT Handle_IGESData_HArray1OfIGESEntity IGESGeom_Boundary::ParameterCurves | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Integer IGESGeom_Boundary::PreferenceType | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESGeom_Boundary::Sense | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESGeom_Boundary::Surface | ( |  | ) | const

## Field Documentation

Handle_IGESData_HArray1OfIGESEntity IGESGeom_Boundary::theModelCurves `[private]`

Handle_IGESBasic_HArray1OfHArray1OfIGESEntity IGESGeom_Boundary::theParameterCurves `[private]`

Standard_Integer IGESGeom_Boundary::thePreference `[private]`

Handle_TColStd_HArray1OfInteger IGESGeom_Boundary::theSenses `[private]`

Handle_IGESData_IGESEntity IGESGeom_Boundary::theSurface `[private]`

Standard_Integer IGESGeom_Boundary::theType `[private]`

| Reimplemented from IGESData_IGESEntity.

The documentation for this class was generated from the following file:

- IGESGeom_Boundary.hxx